## org.apache.poi.ss.formula.eval
Class NotImplementedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.ss.formula.eval.NotImplementedException

All Implemented Interfaces:
  java.io.Serializable

    public final class NotImplementedException

extends java.lang.RuntimeException

An exception thrown by implementors of `FormulaEvaluator` when attempting to evaluate a formula which requires features that POI does not (yet) support.

Author:
  Josh Micich
See Also:
  Serialized Form

Constructor Summary
`NotImplementedException(java.lang.String message)`
`NotImplementedException(java.lang.String message, NotImplementedException cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotImplementedException

    public NotImplementedException(java.lang.String message)

### NotImplementedException

    public NotImplementedException(java.lang.String message,
                                   NotImplementedException cause)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.